Citation Policy
===============

If you use kdotpy, and you benefit from this program, we expect that you cite
our work in accordance with the rules of good scientific practice.

> **NOTE**: The article that accompanies the code has been published as of
January 28th, 2025. Please update citations to previous versions of our work
where possible.


Detailed instructions
---------------------

- In works in text form [^1], please cite the kdotpy project by putting the
  following citation in your reference list:
  
  > W. Beugeling, F. Bayer, C. Berger, J. Böttcher, L. Bovkun, C. Fuchs, 
  M. Hofer, S. Shamim, M. Siebert, L.-X. Wang, E. M. Hankiewicz, T. Kießling,
  H. Buhmann, and L. W. Molenkamp,
  "kdotpy: k·p theory on a lattice for simulating semiconductor band structures",
  SciPost Phys. Codebases 47 (2025).
  
  The citation style may be adjusted as to conform with the guidelines of the
  publisher. If needed, the author list can be abbreviated as
  > W. Beugeling et al. (The kdotpy collaboration)
  
  If you prefer to use BibTeX, please use the entry below or the one provided by
  by SciPost Physics Codebases.

- For hyperlinking to the article, please use the following DOI link:
  https://doi.org/10.21468/SciPostPhysCodeb.47
  
  For a specific version of the codebase, you may also use a link of the form
  https://doi.org/10.21468/SciPostPhysCodeb.47-r1.0
  
- In works in text form, indicate clearly where kdotpy has been used and which
  results have been obtained using kdotpy. In the text, place citation
  references in the appropriate places. For figures, it is recommended to add
  citation references to the figure captions.
  
- In presentations [^2], cite kdotpy prominently at least once. The citation
  style may be chosen at will, provided that it contains the first author, the
  name 'kdotpy', and the publication year. For graphics involving content
  generated by or with kdotpy, it is encouraged that you use the kdotpy logo
  bundled with the project in the `docs/logo/` directory.

- These instructions also apply to results from kdotpy that have been processed
  afterwards by some other program and/or tool. In particular, if you generate
  graphics using the data files provided by kdotpy, you must also follow the
  instructions above.

- For works in text form, it is recommended that you indicate how you used
  kdotpy, in particular the command line arguments and configuration settings
  being used, as well as the version number. Also indicate clearly if
  substantial data processing has been done afterwards.
  
  Whether this recommendation applies depends on the nature of the work. For
  example, for a conference abstract, it is neither customary nor useful to
  include such amount of detail.
  
  For written publications such as journal articles, preprints, theses, and
  similar works, it is generally advisable to provide these details in an
  appendix, supplemental document, methods section, or similar. The XML data
  files are especially suitable for inclusion in data sets or repositories, as
  these files contain the metadata necessary for reproducing the results.
  Submitting (some of) the CSV output files in addition can also be useful.


BibTeX entry
------------

You may use the following BibTeX entry for citing our article. Please follow the
instructions on the abstract page of the journal.
```
@article{10.21468/SciPostPhysCodeb.47,
	title={{kdotpy: \ensuremath{\mathbf{k}\cdot\mathbf{p}} theory on a lattice for simulating semiconductor band structures}},
	author={Wouter Beugeling and Florian Bayer and Christian Berger and Jan B{\"o}ttcher and Leonid Bovkun and Christopher Fuchs and Maximilian Hofer and Saquib Shamim and Moritz Siebert and Li-Xian Wang and Ewelina M. Hankiewicz and Tobias Kie{\ss}ling and Hartmut Buhmann and Laurens W. Molenkamp},
	journal={SciPost Phys. Codebases},
	pages={47},
	year={2025},
	publisher={SciPost},
	doi={10.21468/SciPostPhysCodeb.47},
	url={https://scipost.org/10.21468/SciPostPhysCodeb.47},
}
```

Footnotes
---------

[^1]: Works in text form include journal articles, preprints, theses, conference
abstracts, conference proceedings, internal reports, and further work similar to
these.

[^2]: Presentations include oral presentations (in conferences, workshops,
seminars, and alike), lectures, and posters. Abstracts for presentations are
considered works in text form.


